import { storeToRefs } from 'pinia'
import { i18n, loadLanguageAsync } from '~/modules/i18n'

export function useLocale() {
  const localeStore = useLocaleStore()
  const { setLocale } = localeStore
  const { getLocale } = storeToRefs(localeStore)

  const changeLocale = async (locale: string) => {
    const currentLocale = unref(i18n.global.locale) as string
    if (locale === currentLocale) {
      return locale
    }

    await loadLanguageAsync(locale)

    setLocale(locale)

    return locale
  }

  return {
    getLocale,
    changeLocale,
  }
}
