export enum ContentLayoutEnum {
  // auto width
  FULL = 'full',
  // fixed width
  FIXED = 'fixed',
}

// menu theme enum
export enum ThemeEnum {
  DARK = 'dark',
  LIGHT = 'light',
}

// 导航栏模式
export enum NavBarModeEnum {
  // left menu
  SIDEBAR = 'sidebar',
  // mix-sidebar
  MIX_SIDEBAR = 'mix-sidebar',
  // mixin menu
  MIX = 'mix',
  // top menu
  TOP_MENU = 'top-menu',
}

/**
 * 权限模式（功能权限）
 */
export enum PermissionModeEnum {
  // 角色权限模式
  ROLE = 'role',
  // 权限代码模式
  PERM = 'perm',
}

// Session过期处理方式
export enum SessionTimeoutProcessingEnum {
  ROUTE_JUMP, // 路由跳转
  PAGE_COVERAGE, // 页面覆盖
}

// 设置按钮位置
export enum SettingButtonPositionEnum {
  // 自动，当顶栏无法显示设置按钮时，固定浮动
  AUTO = 'auto',
  // 顶栏
  HEADER = 'header',
  // 固定浮动
  FIXED = 'fixed',
}

// 路由切换动画
export enum RouterTransitionEnum {
  ZOOM_FADE = 'zoom-fade',
  ZOOM_OUT = 'zoom-out',
  FADE_SIDE = 'fade-slide',
  FADE = 'fade',
  FADE_BOTTOM = 'fade-bottom',
  FADE_SCALE = 'fade-scale',
}

// 错误类型
export enum ErrorTypeEnum {
  VUE = 'vue',
  SCRIPT = 'script',
  RESOURCE = 'resource',
  AJAX = 'ajax',
  PROMISE = 'promise',
}

// 异常类型
export enum ExceptionEnum {
  // 无权访问
  PAGE_NOT_ACCESS = 403,
  // 页面未找到
  PAGE_NOT_FOUND = 404,
  // 服务器错误
  ERROR = 500,
  // 网络错误
  NET_WORK_ERROR = 10000,
  // 页面无数据
  PAGE_NOT_DATA = 10100,
}
