import { createPinia } from 'pinia'
import { createPersistedState } from 'pinia-plugin-persistedstate'
import type { App } from 'vue'
import { resetSetupStorePlugin } from './reset'

const pinia = createPinia()

// setup-syntax $reset plugin
pinia.use(resetSetupStorePlugin)

// 持久化插件(localStorage)
pinia.use(createPersistedState({
  storage: localStorage,
  key: id => `${import.meta.env.MODE}__${id}`,
}))

export function setupPinia(app: App<Element>) {
  app.use(pinia)
}
