import type { RouteRecordRaw } from 'vue-router/auto'
import { PAGE_NOT_FOUND_NAME, REDIRECT_NAME } from '~/constants'

const PAGE_NOT_FOUND_ROUTE: RouteRecordRaw = {
  path: '/:all(.*)*',
  name: PAGE_NOT_FOUND_NAME,
  component: () => import('~/layouts/page/exception.vue'),
  props: true,
  meta: {
    title: 'ErrorPage',
    hideInMenu: true,
    hideInBreadcrumb: true,
  },
}

const REDIRECT_ROUTE: RouteRecordRaw = {
  path: '/redirect/:path(.*):_redirect_type(.*)',
  name: REDIRECT_NAME,
  component: () => import('~/layouts/page/redirect.vue'),
  props: true,
  meta: {
    title: REDIRECT_NAME,
    hideInMenu: true,
    hideInBreadcrumb: true,
  },
}

export {
  PAGE_NOT_FOUND_ROUTE,
  REDIRECT_ROUTE,
}
