import type { RouteMeta } from 'vue-router/auto'

declare global {
  interface MenuTag {
    type?: 'primary' | 'error' | 'warn' | 'success'
    content?: string
    dot?: boolean
  }
  interface Menu {
    name: string
    path: string
    icon?: string
    disabled?: boolean
    children?: Menu[]
    order?: number
    meta?: Partial<RouteMeta>
    tag?: MenuTag
    hideInMenu?: boolean
    label?: Node | string | JSX.Element
    key?: string | number | symbol

    // path contains param, auto assignment
    paramPath?: string
  }
}
