import type { RouteLocationNormalized, RouteRecordNormalized } from 'vue-router/auto'

export function getRawRoute(route: RouteLocationNormalized): RouteLocationNormalized {
  if (!route)
    return route
  const { matched, ...opt } = route

  const m = matched
    ? matched.map(item => (
      {
        meta: item.meta,
        name: item.name,
        path: item.path,
      }
    ))
    : undefined

  return {
    ...opt,
    matched: m as RouteRecordNormalized[],
  }
}
